## org.hibernate.hql.internal.ast
Class InvalidPathException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              antlr.ANTLRException
                  antlr.RecognitionException
                      antlr.SemanticException
                          org.hibernate.hql.internal.ast.InvalidPathException

All Implemented Interfaces:
  Serializable

    public class InvalidPathException

extends antlr.SemanticException

Exception thrown when an invalid path is found in a query.

See Also:
  Serialized Form

Field Summary

Fields inherited from class antlr.RecognitionException
`column, fileName, line`

Constructor Summary
`InvalidPathException(String s)`

Method Summary

Methods inherited from class antlr.RecognitionException
`getColumn, getErrorMessage, getFilename, getLine, toString`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### InvalidPathException

    public InvalidPathException(String s)

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.